class Torque
  
  ##
  # Stores the data for one finished iteration of a PT project
  class Iteration

    ##
    # The iteration's number
    attr_reader :number

    ##
    # The iteration's list of stories
    attr_reader :stories

    ##
    # @param number The iteration's number
    # @param stories A list of stories in the iteration 
    def initialize(number, stories=[])

      @number = number
      @stories = stories
    end

    ##
    # @param story A story
    #
    # Adds story to the list of stories
    def add_story(story)
      @stories << story
    end

    ##
    # Sorts the list of stories from most to least recent
    def sort_stories
      @stories = Story.sort_list(stories)
    end

    ##
    # @param iterations A list of iterations
    #
    # @return A list of iterations sorted from most to least recent
    def self.sort_list(iterations)
      sorted = iterations.sort {|i1, i2| Integer(i2.number) - Integer(i1.number) }
      sorted
    end

  end
end