class Torque
  class Version
    
    version = {}
    File.read(File.join(File.dirname(__FILE__), '../', '../', 'VERSION')).each_line do |line|
      type, value = line.chomp.split(":")
      next if type =~ /^\s+$/ || value =~ /^\s+$/
      version[type] = value
    end
    
    MAJOR = version['major']
    MINOR = version['minor']
    PATCH = version['patch']

    STRING = [MAJOR, MINOR, PATCH].compact.join('.')
    
    ##
    # @return A string representing the current version of Torque (eg "1.9.2") 
    def self.string
      STRING
    end
    
  end
end